# C memory management library

From cppreference.com
< c

### Functions

Defined in header `<stdlib.h>`
malloc | allocates memory (function)
calloc | allocates and zeroes memory (function)
realloc | expands previously allocated memory block (function)
free | deallocates previously allocated memory (function)
aligned_alloc (C11) | allocates aligned memory (function)

### See also

C++ documentation for C memory management library

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=c/memory&oldid=85680"